upgrade the PostgreSQL bundled with Alfresco community 5.0 ourselves to latest PostgreSQL

cancel
Showing results for 
Search instead for 
Did you mean: 
dba100
Active Member II

upgrade the PostgreSQL bundled with Alfresco community 5.0 ourselves to latest PostgreSQL

hi.

We are using alfresco community 5.0 and the PostgreSQL DB using(bundled with Alfresco standalone installation) is 

PostgreSQL 9.3.6, compiled by Visual C++ build 1600, 64-bit.

We are suspecting that the PostgreSQL is slow and this version is so old, can we just upgrade this DB to latest PostgreSQL , which is PostgreSQL 13.4.1 ?  

Should have no data lost after that ?

if the upgrade answer is a no, what version of PostgreSQL 64 bites we can upgrade the DB to ?

and if we upgrade in this manner, will it case any problem when we upgrade our existing Alfresco community 5 to:

1) Alfresco community 5.2

2) Alfresco community 7.0 

3) Alfresco enterprise ?

 

 

6 Replies
abhinavmishra14
Advanced

Re: upgrade the PostgreSQL bundled with Alfresco community 5.0 ourselves to latest PostgreSQL

In general you should not see any issues. I'd suggest you do a POC, setup 5.x with PG 13.x and restore content + db and do a round of regression test.

If you are already planning to upgrade then better to proceed with that plan instead of investing time on existing version with latest DB upgrade. 

Review the upgrade path that suits you and checkout the respective supported platform to proceed with:

https://docs.alfresco.com/content-services/latest/upgrade/#upgrade-paths

https://docs.alfresco.com/content-services/latest/support/

More on acs7: https://hub.alfresco.com/t5/alfresco-content-services-blog/alfresco-community-edition-7-0-release-no...

Upgrade steps: 

https://docs.alfresco.com/content-services/community/upgrade/

https://hub.alfresco.com/t5/alfresco-content-services-blog/upgrading-from-alfresco-5-2-installer-to-...

~Abhinav
(ACSCE, AWS SAA-C02, GAIQ)
dba100
Active Member II

Re: upgrade the PostgreSQL bundled with Alfresco community 5.0 ourselves to latest PostgreSQL

hi @abhinavmishra14 

tks for the update.

" I'd suggest you do a POC, setup 5.x with PG 13.x and restore content + db and do a round of regression test."

is that means when I setup alfreso 5.0 / 5.x I can tell Alfresco where the EXISTING PostgreSQL is, and the installation wizard will configure the rest?

What I want to do is separate PostgreSQL from alfresco application tier, so I can just setup another VM box for alfresco community 5.0 application tier and then point back to existing PostgreSQL (for the old alfresco communtiy 5.0), will it be ok ? In this case the Alfresoc application tier and database tier separated, and this is ALSO one of thing improvement we want to do.

Once it is ok then we can try to only upgrade alfresco community 5.0 to 5,2 and let the process upgrade the PostgreSQL in the old box for us. then we can consider upgrade to community 7.0 then upgrade to enterprise 7.0 with ACS patch/hotfix, will it be ok ?

"If you are already planning to upgrade then better to proceed with that plan instead of investing time on existing version with latest DB upgrade. "

you suspect there are problems if I do in this way ?

 

abhinavmishra14
Advanced

Re: upgrade the PostgreSQL bundled with Alfresco community 5.0 ourselves to latest PostgreSQL

Installation wizard installs the pgsql version that is packaged with it, you need to stop that instance post inststallation wizard completes. 

Once you complete your alfresco installation, you can install the sepearate instance of postgres running on a port that is not already in use, and just update the alfresco-global.properties.

Example:

 

db.driver=org.postgresql.Driver
db.username=alfresco
db.password=alfresco
db.url=jdbc:postgresql://postgres:5555/alfresco

Its up to you whether you want to upgrade to pg13.x with acs 5.x or do a direct acs 7 upgrade. Note that acs5.x + pg13.x is not documented in the supported platforms, meaning its not tested. That's why i mentioned you to whatever you decide to do, you do a poc first if you really want to do acs5.x with pg13.x. 

 

~Abhinav
(ACSCE, AWS SAA-C02, GAIQ)
dba100
Active Member II

Re: upgrade the PostgreSQL bundled with Alfresco community 5.0 ourselves to latest PostgreSQL

hi,

tks.

"Note that acs5.x + pg13.x is not documented in the supported platforms, meaning its not tested."

So it seems community 5.2 can support ONLY at least PostgreSQL 9.4.4 and up to PostgreSQL 11.4 ? this is for 5.0 too ?

and do you know once we upgraded from 5.0 to 5.2 the PostgreSQL will be upgrade too ? the posgrelSQL bundled with 5.2 should be 9.4.4 ?

"Installation wizard installs the pgsql version that is packaged with it, you need to stop that instance post inststallation wizard completes. "

there is an option/button for us to stop the PostgreSQL installation?

BTW, we want to separate PostgreSQL and alfresco application tier so that performance much faster, can we:

1) Just install alfresco community 5.2 on another VM( currently our alfresco 5.0 and the postgresql bundled install all on the SAME VM).

2) as you said, during the 5.2 installation wizard , just stop the installation post installation wizard (not sure if we can stop it). 

3) just update the alfresco-global.properties of the new alfresco community 5.2 to point to the OLD PostgreSQL database, PostgreSQL 9.3.6.

4) in this case the PostgreSQL has no data lost as nothing moved but alfresco community application tier to other VM.

will  it be ok ?

 

 

dba100
Active Member II

Re: upgrade the PostgreSQL bundled with Alfresco community 5.0 ourselves to latest PostgreSQL

hi,

after reviewing your commment on more time I am not sure if this plan is ok to separate PostgreSQL from Alfresco application tier.

 

 

update the alfresco-global.properties.

Example:

1) Upgrade the existting communty 5 to 5.2 by running the 5.2 installation wizard on the SAME VM box.

2) It should upgrade the existing  PostgreSQL to the SAME version bundled with communty 5.2.

3) Once 5.2 is installed then we can try to separare the application tier with DB tier by running communty 5.2 installation again on other VM box.

4) During this ANOTHER communty 5.2 installation wizard, we can stop the installation on the post installatoin wizard by cancalling it ?

5) then change the configuration files by the following:

 

db.driver=org.postgresql.Driver
db.username=alfresco
db.password=alfresco
db.url=jdbc:postgresql://<PostsqlSQL server IP>:5555/alfresco

 

6) in this case the application tier and DB tier separated .

 

will this plan works ?

dba100
Active Member II

Re: upgrade the PostgreSQL bundled with Alfresco community 5.0 ourselves to latest PostgreSQL

@angelborroy 

 

please help on this too.